package org.johnchamberlain.chess;

public class DisplayModel_Board {

	public static final int EVENT_SquarePressed = 1;
	public static final int EVENT_SquareReleased = 2;

	DisplayView_Board dvBoard;
	Position thePosition;
    int[] aiSquareAnnotations = new int[0x88 +1];
    static final int[] aiSquareAnnotations_None = new int[0x88 +1];
	boolean zInitialize(Position theStartingPosition, StringBuffer sbError){
		dvBoard = new DisplayView_Board();
		thePosition = theStartingPosition;
		if(!dvBoard.zInitialize(this, sbError)){
			sbError.insert(0, "failed to initialize board display: ");
			return false;
		}
		return true;
	}

	boolean zSetPosition(Position theNewPosition, StringBuffer sbError){
		try {
			this.thePosition = theNewPosition;
	    	dvBoard.repaint();
		} catch(Exception ex) {
			sbError.insert(0, "error painting board: ");
			return false;
		}
		return true;
	}

}
