package org.johnchamberlain.chess;

/**
 * Description:  Various common static routines.
 * @author       John Chamberlain
 */

public class Utility {

	public Utility() {}

	static void errorUnexpected(Exception ex, StringBuffer sbBuffer){
//		sbBuffer.append("Unexpected error [" + extractFailureLine(ex) + "]: " + ex);
		sbBuffer.append("Unexpected error [" + extractStackTrace(ex) + "]: " + ex);
	}

	/** Extracts the stack trace as a string from an exception */
	static String extractStackTrace(Throwable theException) {
		try {
//			StringWriter sw = new StringWriter();
//			theException.printStackTrace(new PrintWriter(sw));
			return theException.toString();
		} catch(Exception ex) {
			return "stack trace unavailable (" + ex.toString() + ")";
		}
	}

}